🌍 Astrocartography API and ✋ Palmistry API are now live. Ship them in your app today.Get Started

Numerology Prediction

Get numero daily prediction
POSThttps://json.astrologyapi.com/v1/numero_prediction/daily

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en.

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

namestringrequired

Name of the person, eg: John

curl --location 'https://json.astrologyapi.com/v1/numero_prediction/daily' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "name": "John"
}'
Try it

Runs with sample data — no API key needed

{
  "prediction": "Do not let your past negative experience hamper your present. You might  face issues related to health. Changing your diet regime might help you feel better. Negative emotions which have been brewing since quite some time shall surface today. You shall be unusually sensitive to criticism. Avoid all activities involving physical risks. You might develop a throat problem.",
  "lucky_color": "White",
  "lucky_number": "7,9",
  "prediction_date": "17-6-2017"
}